Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.pinch
Class PinchChangeEvent

    java.lang.Object
      com.google.gwt.event.shared.GwtEvent<H>
          com.maryanovsky.gwtutils.client.event.SyntheticEvent<H,E>
              com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.SyntheticTouchGestureEvent<PinchChangeHandler,TouchMoveEvent>
                  com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.pinch.PinchChangeEvent

    public class PinchChangeEvent

extends SyntheticTouchGestureEvent<PinchChangeHandler,TouchMoveEvent>

Represents a pinch change event.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Constructor Summary
`PinchChangeEvent(TouchMoveEvent evt, double scale)` Creates a new `PinchChangeEvent` from the specified source `TouchMoveEvent` and scale.

Method Summary
`protected void` | `dispatch(PinchChangeHandler handler)` Dispatches the event to the handler.
`GwtEvent.Type<PinchChangeHandler>` | `getAssociatedType()` Returns the event type associated with pinch change events.
`double` | `getScale()` Returns the factor by which the user changed the distance between his fingers.
`static GwtEvent.Type<PinchChangeHandler>` | `getType()` Returns the event type associated with pinch change events.

Methods inherited from class com.maryanovsky.gwtutils.client.event.SyntheticEvent
`getSourceEvent`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PinchChangeEvent

    public PinchChangeEvent(TouchMoveEvent evt,
                            double scale)

  Creates a new `PinchChangeEvent` from the specified source `TouchMoveEvent` and scale.

  Parameters:
    `evt` - The touch move event that triggered this event.
    `scale` - The factor by which the user changed the distance between his fingers. Values greater than 1 imply he moved his fingers further apart; values smaller than 1, closer together.

Method Detail

### getScale

    public double getScale()

  Returns the factor by which the user changed the distance between his fingers. Values greater than 1 imply he moved his fingers further apart; values smaller than 1, closer together.

### getType

    public static GwtEvent.Type<PinchChangeHandler> getType()

  Returns the event type associated with pinch change events.

### getAssociatedType

    public GwtEvent.Type<PinchChangeHandler> getAssociatedType()

  Returns the event type associated with pinch change events.

  Specified by:
    `getAssociatedType` in class `GwtEvent<PinchChangeHandler>`

### dispatch

    protected void dispatch(PinchChangeHandler handler)

  Dispatches the event to the handler.

  Specified by:
    `dispatch` in class `GwtEvent<PinchChangeHandler>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD